| GET | /RestApi/recycle-bin/items/{id} |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Id | form | Guid | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Id | form | Guid | No | |
| ProviderName | form | string | No | |
| ItemTypeName | form | string | No | |
| DisplayTypeName | form | string | No | |
| DataItemId | form | Guid | No | |
| ItemTitle | form | string | No | |
| Status | form | string | No | |
| StatusText | form | string | No | |
| ItemLanguage | form | string | No | |
| OwnerName | form | string | No | |
| DateCreated | form | DateTime | No | |
| ParentTypeName | form | string | No | |
| ParentTitlesPath | form | string | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/recycle-bin/items/{id} HTTP/1.1
Host: www.imglobal.com
Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length
{"providerName":"String","itemTypeName":"String","displayTypeName":"String","itemTitle":"String","status":"String","statusText":"String","itemLanguage":"String","ownerName":"String","dateCreated":"\/Date(-62135596800000-0000)\/","parentTypeName":"String","parentTitlesPath":"String"}